Loading...
Searching...
No Matches
RackContainer Class Reference

`#include <gx_main_window.h>`

Inheritance diagram for RackContainer:

## Public Types

typedef Glib::ListHandle< const RackBox * > | rackbox_const_list
typedef Glib::ListHandle< RackBox * > | rackbox_list

## Public Member Functions

| RackContainer (PluginDict &plugin_dict)
rackbox_list | get_children ()
rackbox_const_list | get_children () const
void | add (RackBox &r, int pos=-1)
void | ensure_visible (RackBox &child)
void | renumber ()
double | stop_at_bottom (double off, double step_size, double pagesize)
double | stop_at_top (double off, double step_size)
void | set_list_targets (const std::vector< Gtk::TargetEntry > &listTargets, const std::vector< std::string > &targets_, const std::vector< std::string > &othertargets_)
void | set_child_count (int n)
void | change_child_count (int n)
void | reorder (const std::string &name, const std::string &before)

## Private Member Functions

bool | drag_highlight_draw (const Cairo::RefPtr< Cairo::Context > &, int y0)
void | find_index (int x, int y, string *before, int *ypos)
bool | check_targets (const std::vector< std::string > &tgts1, const std::vector< std::string > &tgts2)
virtual bool | on_drag_motion (const Glib::RefPtr< Gdk::DragContext > &context, int x, int y, guint timestamp)
virtual void | on_drag_leave (const Glib::RefPtr< Gdk::DragContext > &context, guint timestamp)
virtual void | on_drag_data_received (const Glib::RefPtr< Gdk::DragContext > &context, int x, int y, const Gtk::SelectionData &data, guint info, guint timestamp)
virtual void | on_add (Widget *ch)
bool | scroll_timeout ()
bool | scrollother_timeout ()

## Private Attributes

PluginDict & | plugin_dict
int | in_drag
int | count
| count of visible children
std::vector< std::string > | targets
std::vector< std::string > | othertargets
sigc::connection | highlight_connection
sigc::connection | autoscroll_connection

## Detailed Description

Definition at line 358 of file gx_main_window.h.

## Member Typedef Documentation

## rackbox_const_list

typedef Glib::ListHandle<const RackBox*> RackContainer::rackbox_const_list

Definition at line 379 of file gx_main_window.h.

## rackbox_list

typedef Glib::ListHandle<RackBox*> RackContainer::rackbox_list

Definition at line 380 of file gx_main_window.h.

## Constructor & Destructor Documentation

## RackContainer()

RackContainer::RackContainer | ( | PluginDict & | plugin_dict | ) |

## Member Function Documentation

## add()

void RackContainer::add | ( | RackBox & | r,
|  | int | pos = -1 )

## change_child_count()

void RackContainer::change_child_count | ( | int | n | ) |

inline

Definition at line 401 of file gx_main_window.h.

## check_targets()

bool RackContainer::check_targets | ( | const std::vector< std::string > & | tgts1,
|  | const std::vector< std::string > & | tgts2 )

private

## drag_highlight_draw()

bool RackContainer::drag_highlight_draw | ( | const Cairo::RefPtr< Cairo::Context > & | ,
|  | int | y0 )

private

## ensure_visible()

void RackContainer::ensure_visible | ( | RackBox & | child | ) |

## find_index()

void RackContainer::find_index | ( | int | x,
|  | int | y,
|  | string * | before,
|  | int * | ypos )

private

## get_children() [1/2]

rackbox_list RackContainer::get_children | ( |  | ) |

inline

Definition at line 382 of file gx_main_window.h.

## get_children() [2/2]

rackbox_const_list RackContainer::get_children | ( |  | ) | const

inline

Definition at line 387 of file gx_main_window.h.

## on_add()

virtual void RackContainer::on_add | ( | Widget * | ch | ) |

private virtual

## on_drag_data_received()

virtual void RackContainer::on_drag_data_received | ( | const Glib::RefPtr< Gdk::DragContext > & | context,
|  | int | x,
|  | int | y,
|  | const Gtk::SelectionData & | data,
|  | guint | info,
|  | guint | timestamp )

private virtual

## on_drag_leave()

virtual void RackContainer::on_drag_leave | ( | const Glib::RefPtr< Gdk::DragContext > & | context,
|  | guint | timestamp )

private virtual

## on_drag_motion()

virtual bool RackContainer::on_drag_motion | ( | const Glib::RefPtr< Gdk::DragContext > & | context,
|  | int | x,
|  | int | y,
|  | guint | timestamp )

private virtual

## renumber()

void RackContainer::renumber | ( |  | ) |

## reorder()

void RackContainer::reorder | ( | const std::string & | name,
|  | const std::string & | before )

inline

Definition at line 996 of file gx_main_window.h.

## scroll_timeout()

bool RackContainer::scroll_timeout | ( |  | ) |

private

## scrollother_timeout()

bool RackContainer::scrollother_timeout | ( |  | ) |

private

## set_child_count()

void RackContainer::set_child_count | ( | int | n | ) |

Referenced by change_child_count().

## set_list_targets()

void RackContainer::set_list_targets | ( | const std::vector< Gtk::TargetEntry > & | listTargets,
|  | const std::vector< std::string > & | targets_,
|  | const std::vector< std::string > & | othertargets_ )

## stop_at_bottom()

double RackContainer::stop_at_bottom | ( | double | off,
|  | double | step_size,
|  | double | pagesize )

## stop_at_top()

double RackContainer::stop_at_top | ( | double | off,
|  | double | step_size )

## Member Data Documentation

## autoscroll_connection

sigc::connection RackContainer::autoscroll_connection

private

Definition at line 366 of file gx_main_window.h.

## count

int RackContainer::count

private

count of visible children

Definition at line 362 of file gx_main_window.h.

Referenced by change_child_count().

## highlight_connection

sigc::connection RackContainer::highlight_connection

private

Definition at line 365 of file gx_main_window.h.

## in_drag

int RackContainer::in_drag

private

Definition at line 361 of file gx_main_window.h.

## othertargets

std::vector<std::string> RackContainer::othertargets

private

Definition at line 364 of file gx_main_window.h.

## plugin_dict

PluginDict& RackContainer::plugin_dict

private

Definition at line 360 of file gx_main_window.h.

Referenced by RackContainer(), and reorder().

## targets

std::vector<std::string> RackContainer::targets

private

Definition at line 363 of file gx_main_window.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h